For the complete documentation index, see llms.txt. This page is also available as Markdown.

Direct Checkout Bookings

Streamlined booking flow for quick reservations.

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Header parameters
user-agentstringRequired
Responses
201

Returns a Booking

application/json
idstringRead-onlyRequired
typestring · enumRequiredPossible values:
statusstring · enumRead-onlyRequiredPossible values:
eventSubtypestring · enumRequiredPossible values:
eventCustomTypestringRequired
eventStatusstring · enumRequiredPossible values:
eventNamestringRequired
eventDescriptionstringRequired
totalTeamsnumber · nullableRequired
teamSizenumber · nullableRequired
maxGuestsnumber · nullableRequired
admissionstring · enumRequiredPossible values:
admissionKidsstring · enumRequiredPossible values:
coachRatenumberRequired
freeSignupCancellationHorizonHoursnumberRequired
tagsstring[]Required
visibilitystring · enumRequiredPossible values:
couponCodestring · nullableWrite-onlyRequired
virtualCreditsnumber · nullableWrite-onlyRequired
bookingModestring · enum · nullableWrite-onlyRequiredPossible values:
paymentMethodstring · enum · nullableWrite-onlyRequiredPossible values:
termsAgreedboolean · nullableWrite-onlyRequired

An optional parameter to tell the User is agreeing the "Terms" along with the booking request.

liabilityWaiverAgreedboolean · nullableWrite-onlyRequired

An optional parameter to tell the User is agreeing the "Liability waiver" along with the booking request.

createAsSeriesbooleanWrite-onlyRequired
chargeStrategystring · enum · nullableRequiredPossible values:
passesStrategystring · enum · nullableRequiredPossible values:
_linksobjectRequired
post/direct-checkout/bookings
POST /apis/v2/direct-checkout/bookings HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
user-agent: text
Accept: */*
{
  "id": "text",
  "type": "PREVIEW",
  "status": "DRAFT",
  "eventSubtype": "OPERATIONS",
  "eventCustomType": "text",
  "eventStatus": "DRAFT",
  "eventName": "text",
  "eventDescription": "text",
  "eventFeatures": [
    "WAITLIST"
  ],
  "tournamentDivision": {
    "id": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "tournament": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "provider": "SWISH",
    "swish": {
      "eventFormat": "rotating_partners_round_robin",
      "gameId": "game123",
      "editPlayersPath": "rotating-partners-round-robin"
    },
    "podplay": {
      "eventFormat": "round_robin",
      "gameId": "game123",
      "url": "https://tournaments.podplay.app/admin/tournaments/game123"
    },
    "status": "DRAFT",
    "createdAt": "2025-07-09T17:32:26.800Z",
    "event": "7229d7d5-5581-4d86-975f-5b7efc9b00e9",
    "lastSyncedAt": "2025-07-09T17:32:26.800Z",
    "visibility": "VISIBLE",
    "_links": {}
  },
  "totalTeams": 1,
  "teamSize": 1,
  "maxGuests": 1,
  "admission": "OPEN",
  "admissionRate": {
    "regular": 1,
    "member": 1,
    "membersDefault": 1,
    "memberships": {
      "items": [
        {
          "membership": {
            "id": "text"
          },
          "rate": 1
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "chargingStrategy": "spot+"
  },
  "admissionDate": {
    "regular": "2026-01-01T00:00:00.000Z",
    "member": "2026-01-01T00:00:00.000Z",
    "membersDefault": "2026-01-01T00:00:00.000Z",
    "memberships": {
      "items": [
        {
          "membership": {
            "id": "text"
          },
          "date": "2026-01-01T00:00:00.000Z"
        }
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    }
  },
  "admissionRating": {
    "minRating": 1,
    "maxRating": 1,
    "type": "text"
  },
  "admissionKids": "OPEN",
  "allowedMemberships": {
    "items": [
      "text"
    ],
    "_total": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "coachRate": 1,
  "freeSignupCancellationHorizonHours": 1,
  "picture": {
    "id": "text"
  },
  "tags": [
    "text"
  ],
  "visibility": "LISTED",
  "items": [
    {
      "session": {
        "id": "text"
      },
      "sessionTable": {
        "id": "text"
      },
      "sessionCoach": {
        "id": "text"
      },
      "sessionGuests": {
        "id": "text"
      },
      "errors": [
        "text"
      ]
    }
  ],
  "coupon": {
    "id": "text",
    "code": "text",
    "discountType": "AMOUNT_OFF",
    "value": 1,
    "_links": {
      "self": {
        "href": "text"
      }
    }
  },
  "order": {
    "id": "text"
  },
  "summary": {
    "events": {
      "items": [
        "text"
      ],
      "_total": 1,
      "_links": {
        "self": {
          "href": "text"
        }
      }
    },
    "reservations": [
      {
        "reservation": {
          "id": "text",
          "startTime": "2026-01-01T00:00:00.000Z",
          "endTime": "2026-01-01T00:00:00.000Z",
          "tableAssignment": "PENDING",
          "sessions": {
            "items": [
              {
                "id": "text",
                "session": {
                  "id": "text"
                },
                "coupon": {
                  "id": "text"
                },
                "charge": {
                  "id": "text"
                },
                "_links": {}
              }
            ],
            "_total": 1,
            "_links": {
              "self": {
                "href": "text"
              }
            }
          },
          "pod": {
            "id": "text"
          },
          "table": {
            "id": "text"
          },
          "coach": {
            "id": "text"
          },
          "guests": 1,
          "charges": {
            "_total": 1
          },
          "quickReplays": {
            "_total": 1
          },
          "customReplays": {
            "_total": 1
          },
          "_links": {}
        },
        "rate": 1,
        "baseRate": 1,
        "tableRate": 1,
        "guestsRate": 1,
        "coachRate": 1,
        "admissionRate": 1,
        "errors": [
          {
            "code": "text",
            "message": "text",
            "details": {}
          }
        ]
      }
    ],
    "currency": "text",
    "series": {
      "id": "text"
    },
    "subtotal": 1,
    "taxes": [
      {
        "name": "text",
        "amount": 1,
        "percentage": 1
      }
    ],
    "couponDiscount": 1,
    "coachingDiscount": 1,
    "virtualCredits": 1,
    "total": 1,
    "maxChargableAmount": 1,
    "dayPass": {
      "id": "text",
      "displayName": "text",
      "rate": 1
    },
    "passes": {
      "items": [
        {
          "id": {},
          "available": 1,
          "quantity": 1,
          "displayName": "text",
          "displayNamePlural": "text",
          "rate": 1
        }
      ],
      "_total": 1,
      "_links": {}
    },
    "errors": [
      {
        "code": "text",
        "message": "text",
        "details": {}
      }
    ],
    "messages": [
      {
        "code": "text",
        "message": "text"
      }
    ]
  },
  "chargeStrategy": "BILL_SPLIT",
  "passesStrategy": "USE_ALL",
  "_links": {}
}

Last updated

Was this helpful?